%define url_ver %(echo %{version}|cut -d. -f1,2)
%define dirver %(echo %{version}|cut -d. -f1,2,3)

%define major 30
%define sslmajor 27
%define danemajor 0
%define xxmajor 28
%define libname %mklibname %{name} %{major}
%define libnamexx %mklibname %{name}xx %{xxmajor}
%define libssl %mklibname %{name}-openssl %{sslmajor}
%define libdane %mklibname %{name}-dane %{danemajor}
%define devname %mklibname %{name} -d

Summary:	Library providing a secure layer (SSL)
Name:		gnutls
Version:	3.5.15
Release:	1
License:	GPLv2+ and LGPLv2.1+
Group:		System/Libraries
Url:		http://www.gnutls.org
Source0:	ftp://ftp.gnutls.org/gcrypt/gnutls/v%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		gnutls-3.2.7-rpath.patch

BuildRequires:	liblzo-devel
BuildRequires:	unbound-devel
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(libidn)
BuildRequires:	pkgconfig(libtasn1)
BuildRequires:	pkgconfig(nettle)
BuildRequires:	pkgconfig(p11-kit-1)
%ifnarch %{arm} %{mips} aarch64
BuildRequires:	valgrind
%endif

%description
GnuTLS is a project that aims to develop a library which provides 
a secure layer, over a reliable transport layer.

%files
%doc NEWS README.md
%{_bindir}/[cgs]*
%{_bindir}/danetool
%{_bindir}/psktool
%{_bindir}/p11tool
%{_bindir}/ocsptool
%{_mandir}/man?/*
%{_infodir}/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Library providing a secure layer (SSL)
Group:		System/Libraries
Requires:	%{name}-locales
# To avoid file conflicts when both 32 and 64 bit old libraries are installed
%if "%{_lib}" == "lib64"
Conflicts:	lib%{name}%{major} < 3.2.15
%endif

%description -n %{libname}
This package contains a shared library for %{name}.

%files -n %{libname}
%{_libdir}/libgnutls.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libnamexx}
Summary:	Library providing a secure layer (SSL)
Group:		System/Libraries
Conflicts:	%{_lib}gnutls28 < 3.2.15

%description -n %{libnamexx}
This package contains a shared library for %{name}.

%files -n %{libnamexx}
%{_libdir}/libgnutlsxx.so.%{xxmajor}*

#----------------------------------------------------------------------------

%package -n %{libssl}
Summary:	Library providing a secure layer (SSL)
Group:		System/Libraries
Conflicts:	%{_lib}gnutls-ssl27 < 3.2.15
Obsoletes:	%{_lib}gnutls-ssl27 < 3.2.15

%description -n %{libssl}
This package contains a shared library for %{name}.

%files -n %{libssl}
%{_libdir}/libgnutls-openssl.so.%{sslmajor}*

#----------------------------------------------------------------------------

%package -n %{libdane}
Summary:	Library providing a secure layer (SSL)
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}

%description -n %{libdane}
This package contains a shared library for %{name}.

%files -n %{libdane}
%{_libdir}/libgnutls-dane.so.%{danemajor}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{name} = %{EVRD}
Requires:	%{libname} = %{EVRD}
Requires:	%{libnamexx} = %{EVRD}
Requires:	%{libssl} = %{EVRD}
Requires:	%{libdane} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains all necessary files to compile or develop
programs/libraries that use %{name}.

%files -n %{devname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/gnutls

#----------------------------------------------------------------------------

%package locales
Summary:	Locale files for GnuTLS
Group:		System/Internationalization
BuildArch:	noarch
Conflicts:	%{_lib}gnutls28 < 3.2.15

%description
Locale files for GnuTLS main library.

%files locales -f %{name}.lang

#----------------------------------------------------------------------------

%prep
%setup -qn %{name}-%{dirver}
%patch0 -p1 -b .rpath

%build
%configure2_5x \
	--disable-static \
	--with-included-libtasn1=no \
	--enable-openssl-compatibility \
	--disable-srp-authentication \
	--with-libz-prefix=%{_prefix} \
%ifnarch %{arm} %{mips} aarch64
	--enable-valgrind-tests \
%endif
	--disable-non-suiteb-curves \
	--disable-rpath \
	--disable-guile \
	--with-included-unistring

%make

%install
%makeinstall_std

%find_lang %{name}

%changelog
